## org.mozilla.javascript
Interface RefCallable

All Superinterfaces:
  Callable

    public interface RefCallable

extends Callable

Object that can allows assignments to the result of function calls.

Method Summary
`Ref` `refCall(Context cx, Scriptable thisObj, java.lang.Object[] args)` Perform function call in reference context.

Methods inherited from interface org.mozilla.javascript.Callable
`call`

Method Detail

### refCall

    Ref refCall(Context cx,
                Scriptable thisObj,
                java.lang.Object[] args)

  Perform function call in reference context. The args array reference should not be stored in any object that is can be GC-reachable after this method returns. If this is necessary, for example, to implement `Ref` methods, then store args.clone(), not args array itself.

  Parameters:
    `cx` - the current Context for this thread
    `thisObj` - the JavaScript `this` object
    `args` - the array of arguments